Create a submission to a form Run in API Explorer
Ask AI
POST
/api/v1/form/{form_uuid}/submission
curl \
--request POST 'https://api.plannrcrm.com/api/v1/form/6ff8f7f6-1eb3-3525-be4a-3932c805afed/submission' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{"account_uuid":"e7d6ee90-7f28-450e-8ac1-b0a22c068d04"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"account_uuid": "e7d6ee90-7f28-450e-8ac1-b0a22c068d04"
}
Response examples (200)
{
"uuid": "a11cc328-d090-4c6f-a14a-946dbcfdd42c",
"created_at": "2026-07-30T15:16:52+01:00",
"updated_at": "2026-07-30T15:16:52+01:00",
"stage": "draft",
"account": {
"uuid": "dff030ce-c2d9-477f-92dc-ec1545fb1cee",
"created_at": "2026-07-30T15:16:52+01:00",
"updated_at": "2026-07-30T15:16:52+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"firm": {
"uuid": "a3f64f21-2b3c-4614-ac15-17cb47839d2c",
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00",
"name": "Codepotato",
"slug": "codepotato",
"address_1": "Suite E, 5 The Briars",
"address_2": "Waterberry Drive",
"town_city": "Waterlooville",
"county": "Hampshire",
"postcode": "PO7 7YH",
"country": "United Kingdom",
"regulatory_text": "Regulatory text",
"logo": "https://api.plannrcrm.com/images/plannr.jpg",
"logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
"brand_colours": {
"sidebar_background": "#0E0E56",
"sidebar_accent": "#36367E",
"sidebar_text": "#FFFFFF",
"sidebar_hover": "#0A0A42",
"sidebar_active": "#53DBB8",
"sidebar_title_background": "#36367E",
"sidebar_title_primary": "#FFC634",
"sidebar_title_secondary": "#FFFFFF",
"sidebar_title_secondary_hover": "#FFFFFF",
"email_background": "#0E0E56",
"email_logo_background_panel": "#36367E",
"email_sub_text": "#FFFFFF",
"email_button_background": "#36367E",
"email_button_text": "#FFFFFF",
"portal_sidebar_button_background": "#F6F6F6",
"portal_sidebar_button_hover": "#FFFFFF",
"portal_sidebar_button_active": "#FFFFFF",
"portal_brand_title": "#323B4B",
"portal_brand_sub_title": "#828994",
"portal_sidebar_title": "#11151D",
"portal_sidebar_text": "#323B4B",
"portal_sidebar_text_hover": "#323B4B",
"portal_sidebar_text_active": "#323B4B",
"portal_sidebar_icon": "#828994",
"portal_sidebar_icon_hover": "#828994",
"portal_sidebar_icon_active": "#828994",
"portal_background": "#F6F6F6",
"portal_sidebar_account_title": "#11151D",
"portal_sidebar_account_email": "#828994",
"portal_sidebar_divider": "#E3E5E9",
"portal_dashboard_bg_one": "#EF4583",
"portal_dashboard_bg_two": "#FFC634",
"portal_sidebar_collapse_button": "#828994",
"portal_sidebar_collapse_button_hover": "#B3B9C4",
"portal_sidebar_user_select_background": "#F6F6F6",
"portal_sidebar_user_select_hover": "#F6F6F6",
"portal_sidebar_user_select_text": "#323B4B",
"portal_sidebar_user_select_text_hover": "#323B4B",
"portal_sidebar_user_select_border": "#EEEEEE",
"portal_sidebar_user_select_border_hover": "#828994"
},
"is_subscribed": true,
"keep_deleted_files_for": 30,
"tax": 17.5,
"month_end": 25,
"statement_frequency": "monthly",
"billing": {
"invoice_address_1": "Suite E, 5 The Briars",
"invoice_address_2": "Waterberry Drive",
"invoice_town_city": "Waterlooville",
"invoice_county": "Hampshire",
"invoice_postcode": "PO7 7YH",
"invoice_country": "United Kingdom",
"invoice_email": "gareth@codepotato.co.uk"
},
"ip_whitelist": [
"192.168.0.1",
"127.0.0.1"
],
"welcome_paragraph_html": "<h1>Welcome.</h1>",
"email_welcome_paragraph_html": "Welcome to Plannr!",
"show_fact_find_illustrations": true,
"cc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"bcc_email_addresses": [
"jack@example.com",
"jill@example.com"
],
"reply_to_email_address": "jack@example.com",
"mobile_app_support_number": "01234 567890",
"mobile_app_support_email": "support@example.com"
},
"primary_phone_number": {
"uuid": "c38d9bcf-567f-4256-a8a1-f6f8e492cb5f",
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"primary_email": {
"uuid": "c38d9bcf-567f-4256-a8a1-f6f8e492cb5f",
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00",
"type": "phone_number",
"name": "Work number",
"value": "+443330903630",
"phone_number_meta": {
"country": "GB",
"formatted": "0333 090 3630"
}
},
"current_time_entry": {
"uuid": "ec401378-dc6a-4a4d-9406-ef86ecc906f5",
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00",
"name": "Research",
"description": "This is a description.",
"trackable_type": "Client",
"start_date": "2026-07-30T14:26:56+01:00",
"end_date": "2026-07-30T14:54:56+01:00",
"is_active": true,
"total_time_in_minutes": 28,
"computed_time_elapsed_in_seconds": 1680
},
"assigned_adviser": {
"uuid": "a9d91fcc-b3f7-4ee0-89ef-b5897cc186c2",
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-30T15:16:56+01:00",
"next_review_date": "2026-07-30T15:16:56+01:00",
"previous_review_date": "2026-07-30T15:16:56+01:00",
"anniversary_review_date": "2026-07-30T15:16:56+01:00",
"terms_of_business_at": "2026-07-30T15:16:56+01:00",
"client_agreement_at": "2026-07-30T15:16:56+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-30",
"last_interaction_at": "2026-07-30 15:16:56",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_administrator": {
"uuid": "a9d91fcc-b3f7-4ee0-89ef-b5897cc186c2",
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-30T15:16:56+01:00",
"next_review_date": "2026-07-30T15:16:56+01:00",
"previous_review_date": "2026-07-30T15:16:56+01:00",
"anniversary_review_date": "2026-07-30T15:16:56+01:00",
"terms_of_business_at": "2026-07-30T15:16:56+01:00",
"client_agreement_at": "2026-07-30T15:16:56+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-30",
"last_interaction_at": "2026-07-30 15:16:56",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"assigned_paraplanner": {
"uuid": "a9d91fcc-b3f7-4ee0-89ef-b5897cc186c2",
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-30T15:16:56+01:00",
"next_review_date": "2026-07-30T15:16:56+01:00",
"previous_review_date": "2026-07-30T15:16:56+01:00",
"anniversary_review_date": "2026-07-30T15:16:56+01:00",
"terms_of_business_at": "2026-07-30T15:16:56+01:00",
"client_agreement_at": "2026-07-30T15:16:56+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-30",
"last_interaction_at": "2026-07-30 15:16:56",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"introduced_by": {
"uuid": "a9d91fcc-b3f7-4ee0-89ef-b5897cc186c2",
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-30T15:16:56+01:00",
"next_review_date": "2026-07-30T15:16:56+01:00",
"previous_review_date": "2026-07-30T15:16:56+01:00",
"anniversary_review_date": "2026-07-30T15:16:56+01:00",
"terms_of_business_at": "2026-07-30T15:16:56+01:00",
"client_agreement_at": "2026-07-30T15:16:56+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-30",
"last_interaction_at": "2026-07-30 15:16:56",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"business_unit": {
"uuid": "cc1f0193-4067-4581-9830-fae27d4f0d1b",
"name": "Wealth Management",
"has_alternative_branding": false,
"brand_colours": [],
"members_count": 3,
"groups_count": 2,
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00"
},
"groups": {
"uuid": null,
"name": "finance",
"slug": "finance",
"participants_count": "3",
"participants": {
"uuid": {
"example": null,
"description": "UUID of the account"
},
"role": {
"example": "client",
"description": "Role of the account"
},
"first_name": {
"example": "Gareth",
"description": "First name of the account"
},
"last_name": {
"example": "Thompson",
"description": "Last name of the account"
},
"name": {
"example": "Gareth Thompson",
"description": "Name of the account"
},
"email": {
"example": "gareth@codepotato.co.uk",
"description": "Email of the account"
}
},
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00"
},
"tags": {
"uuid": "4c8867b6-04aa-4aa8-b78f-e5009cfffdd6",
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00",
"name": "Mortgage",
"slug": "mortgage",
"colour": "#ef4582"
},
"owners": {
"uuid": "a9d91fcc-b3f7-4ee0-89ef-b5897cc186c2",
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
"first_contact_date": "2026-07-30T15:16:56+01:00",
"next_review_date": "2026-07-30T15:16:56+01:00",
"previous_review_date": "2026-07-30T15:16:56+01:00",
"anniversary_review_date": "2026-07-30T15:16:56+01:00",
"terms_of_business_at": "2026-07-30T15:16:56+01:00",
"client_agreement_at": "2026-07-30T15:16:56+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"ownership_percentage": 100.0,
"inactive_at": "2026-07-30",
"last_interaction_at": "2026-07-30 15:16:56",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
}
},
"first_contact_date": "2026-07-30T15:16:52+01:00",
"next_review_date": "2026-07-30T15:16:52+01:00",
"previous_review_date": "2026-07-30T15:16:52+01:00",
"anniversary_review_date": "2026-07-30T15:16:52+01:00",
"terms_of_business_at": "2026-07-30T15:16:52+01:00",
"client_agreement_at": "2026-07-30T15:16:52+01:00",
"with_login": true,
"has_joint_account": true,
"can_be_deleted": "false",
"joint_account_circle": {
"uuid": "67d247f6-614b-4e8e-8508-485d1e6d4cb8",
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-07-30T15:16:56+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "915cb0e2-0022-49ef-a66e-ae6564c1f0a7",
"login_access_level": "write",
"current_life_stage_uuid": "1553a3ba-b287-47a2-8a94-3759e7b416c3"
},
"circles": {
"uuid": "67d247f6-614b-4e8e-8508-485d1e6d4cb8",
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00",
"name": "Jones Family",
"photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
"bg_colour": "#35f4e1",
"has_portal_access": true,
"portal_access_status": "active",
"engagement_rating": "green",
"last_login": {
"logged_in_at": "2026-07-30T15:16:56+01:00",
"account_uuid": "uuid",
"account_name": "John Smith",
"device_type": "desktop",
"device_platform": "macos"
},
"portal_login_count_30d": 5,
"portal_login_count_90d": 12,
"portal_login_count_365d": 48,
"joint_account_uuid": "915cb0e2-0022-49ef-a66e-ae6564c1f0a7",
"login_access_level": "write",
"current_life_stage_uuid": "1553a3ba-b287-47a2-8a94-3759e7b416c3"
},
"ownership_percentage": 100,
"inactive_at": "2026-07-30",
"last_interaction_at": "2026-07-30 15:16:52",
"referral_code": "ABC12345",
"permissions": {
"firm:read": [
"firm"
],
"network:read": [
"network:uuid"
]
},
"custom_fields": {
"uuid": null,
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00",
"type": "string",
"name": "Favourite Drink",
"reference": "favourite_drink",
"is_required": false,
"value": "Coffee",
"selection_options": [
"Coffee",
"Tea",
"Water"
],
"help_text": "This is the client's favourite drink."
},
"external_references": {
"uuid": "2fc1cd3e-e725-4ccf-be53-543e7f9cc974",
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00",
"third_party": "nucleus",
"reference": "AB123456"
}
},
"request": {
"uuid": "aa6c17fc-4b5e-4b8c-9ad3-d44133ad4269",
"created_at": "2026-07-30T15:16:52+01:00",
"updated_at": "2026-07-30T15:16:52+01:00",
"description": "Please submit your annual survey form",
"form": {
"uuid": "3504cd45-a060-4cd7-81c6-d85c6f4b0bab",
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"has_submission": true,
"submission": {
"uuid": "d66a7407-4a2a-4fdd-87be-ae9f13345cf7",
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00",
"stage": "draft",
"answers": [
{
"first_name": "john",
"last_name": "olive"
}
]
}
},
"form": {
"uuid": "50b3ae05-1032-4898-af23-14b1e5d4413d",
"created_at": "2026-07-30T15:16:52+01:00",
"updated_at": "2026-07-30T15:16:52+01:00",
"title": "Annual Catchup 2022",
"description": "This is the annual catchup form for 2022",
"live": true,
"visibility": "public",
"sections": {
"uuid": "1bf65bf4-720f-4f56-a2af-466b7bfd3b6b",
"created_at": "2026-07-30T15:16:56+01:00",
"updated_at": "2026-07-30T15:16:56+01:00",
"title": "What is your name?",
"help_text": "Gareth",
"caption": "Your full legal name",
"type": "string",
"required": true,
"position": 1,
"selection_options": [
"option 1",
"option 2"
],
"target_field": "name",
"key": "what_is_your_name",
"linked_primary": true
},
"allowed_hosts": [
"domain.com",
"subdomain.domain.com"
],
"draft_submissions_count": 5,
"submitted_submissions_count": 5,
"create_client": true,
"client_type": "client"
},
"answers": [
{
"first_name": "john",
"last_name": "olive"
}
]
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}